*{
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

.img-float {
	height: 250px;
	width: 250px;

	float: left;

}

html {
	height: 800vh;
}

.parent-element {
	background-color: skyblue;
	padding: 10px;
	/*adjusted when absolute in child two*/
	height: 800vh;
	position: relative;
}

.child-one {
	background-color: gray;
	padding: 10px;
	
}

.child-two {
	background-color: yellow;
	padding: 10px;
	/*values : static, relative, absolute, fixed*/
	position: fixed;
	/*spacing*/
	top: 10px;
	/*static hindi nag babago position hindi pede lagyan ng space
	relative depende sa parent ang position
	absolute pag walang dinifine na positioning sa parent
	fixed only kahit saan*/
	/*left: 10px;
	bottom: 10px;*/
}

.child-three {
	background-color: gray;
	padding: 10px;
}

.container {
	position: relative;
}

.black-box {
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
}

.gray-box {
	position: absolute;
	/*gray box will be above both the green and black*/
	z-index: 3; 
	background: lightgray;
	height: 60px;
	width: 70%;
	left: 50px;
	top: 50px;
	border: 2px solid black;
}

.green-box {
	position: absolute;
	/*green box will be above the black box */
	z-index: 2; 
	background: lightgreen;
	width: 35%;
	height: 100px;
	left: 270px;
	top: -15px;
	border: 2px solid red;
}



